summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMaarten van Gompel2015-06-21 12:51:35 +0200
committerMaarten van Gompel2015-06-21 12:51:35 +0200
commit87c6df22faeee9dfece4aa8cc7cf68823ff63bb4 (patch)
treeeb9f7ce0fa1ef64a7619bdcda5cb784e250a215f
downloadaur-87c6df22faeee9dfece4aa8cc7cf68823ff63bb4.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD27
2 files changed, 48 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5a41fe04a0b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = ticcutils
+ pkgdesc = Common library with functions for tools developed at Tilburg Centre for Cognition and Communication
+ pkgver = 0.7
+ pkgrel = 2
+ url = http://ilk.uvt.nl/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = libtool
+ makedepends = autoconf
+ depends = gcc-libs
+ depends = libxml2
+ depends = bzip2
+ depends = libtar
+ depends = boost
+ options = !libtool
+ source = http://software.ticc.uvt.nl/ticcutils-0.7.tar.gz
+ md5sums = 812370bce2b4cefb48b16ec863e70825
+
+pkgname = ticcutils
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4b818df78ee
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Maarten van Gompel <proycon at anaproy.nl>
+
+pkgname=ticcutils
+pkgver=0.7
+pkgrel=2
+pkgdesc="Common library with functions for tools developed at Tilburg Centre for Cognition and Communication"
+arch=('i686' 'x86_64')
+url="http://ilk.uvt.nl/"
+license=('GPL')
+depends=('gcc-libs' 'libxml2' 'bzip2' 'libtar' 'boost')
+makedepends=('libtool' 'autoconf')
+options=(!libtool)
+source=(http://software.ticc.uvt.nl/${pkgname}-${pkgver}.tar.gz)
+noextract=()
+md5sums=('812370bce2b4cefb48b16ec863e70825')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
+